> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ledgersyncappv2.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete apiv2customer



## OpenAPI

````yaml /openapi-v2.json delete /api/v2/customer/{id}
openapi: 3.1.0
info:
  title: LedgerSync V2 API
  version: '2.0'
servers:
  - url: https://ledgersyncappv2.com
    description: Production
  - url: https://staging.ledgersyncappv2.com
    description: Sandbox
security: []
tags:
  - name: account-api
    description: Account REST APIs
  - name: password-api
    description: Password REST APIs
  - name: transaction-api
    description: Transaction REST APIs
  - name: phone-verification-api
    description: Phone Verification REST APIs
  - name: employee-api
    description: Employee REST APIs
  - name: client-api
    description: Client REST APIs
  - name: check-api
    description: Check REST APIs
  - name: accounting-ai-api
    description: AI rule suggestion endpoints for external accounting integrations
  - name: institution-api
    description: Institution REST APIs
  - name: statement-api
    description: Statement REST APIs
  - name: authentication-api
    description: Auth REST APIs
paths:
  /api/v2/customer/{id}:
    delete:
      tags:
        - customer-controller
      operationId: deleteCustomer
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: ticket
          in: query
          required: true
          schema:
            type: string
        - name: ip
          in: query
          required: true
          schema:
            type: string
        - name: deletePermanently
          in: query
          required: true
          schema:
            type: boolean
        - name: Auth-Token
          in: header
          description: Authentication token provided during the authentication process
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Client was successfully deleted
          content:
            '*/*':
              schema:
                type: string
        '403':
          description: Failed to delete client
          content:
            '*/*':
              schema:
                type: string
        '404':
          description: Client not found
          content:
            '*/*':
              schema:
                type: string

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.